package client;

import java.awt.*;
import javax.swing.*;

/**
 * <p>Title: Jogo Reversi/Othelo</p>
 * <p>Description: Trabalho de Inteligencia Artificial</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: UFRJ - COPPE Sistemas</p>
 * @author Fabio Perez Marzullo e Dino Leonetti
 * @version 1.0
 */
public class TrabalhoIA {
  boolean packFrame = false;
  //Construct the application
  public TrabalhoIA() {
    Reversi frame = new Reversi();
    if (packFrame) {
      frame.pack();
    } else {
      frame.validate();
    }
    centralizaJanela(frame);
    frame.setVisible(true);
  }

  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    } catch (Exception e) {
      e.printStackTrace();
    }
    new TrabalhoIA();
  }

  public static void centralizaJanela (JFrame janela)
  {
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = janela.getSize();
    if (frameSize.height > screenSize.height)
      frameSize.height = screenSize.height;
    if (frameSize.width > screenSize.width)
      frameSize.width = screenSize.width;
    janela.setLocation((screenSize.width - frameSize.width)/2,
        (screenSize.height - frameSize.height)/2);
  }
}